nRF51 SDK: ble_dis_init_t Struct Reference

| nRF51 SDK

- Home
- Related Pages
- API Reference
- Data Structures

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_dis_init_t Struct Reference
Device Information Service

Device Information Service init structure. This contains all possible characteristics needed for initialization of the service. More...

`#include <ble_dis.h>`

## Data Fields

ble_srv_utf8_str_t | manufact_name_str
ble_srv_utf8_str_t | model_num_str
ble_srv_utf8_str_t | serial_num_str
ble_srv_utf8_str_t | hw_rev_str
ble_srv_utf8_str_t | fw_rev_str
ble_srv_utf8_str_t | sw_rev_str
ble_dis_sys_id_t * | p_sys_id
ble_dis_reg_cert_data_list_t * | p_reg_cert_data_list
ble_dis_pnp_id_t * | p_pnp_id
ble_srv_security_mode_t | dis_attr_md

## Detailed Description

Device Information Service init structure. This contains all possible characteristics needed for initialization of the service.

## Field Documentation

ble_srv_security_mode_t ble_dis_init_t::dis_attr_md

Initial Security Setting for Device Information Characteristics.

ble_srv_utf8_str_t ble_dis_init_t::fw_rev_str

Firmware Revision String.

ble_srv_utf8_str_t ble_dis_init_t::hw_rev_str

Hardware Revision String.

ble_srv_utf8_str_t ble_dis_init_t::manufact_name_str

Manufacturer Name String.

ble_srv_utf8_str_t ble_dis_init_t::model_num_str

Model Number String.

ble_dis_pnp_id_t* ble_dis_init_t::p_pnp_id

PnP ID. The helper function dis_pnp_id_encode can be used to encode the value of this characteristic.

ble_dis_reg_cert_data_list_t* ble_dis_init_t::p_reg_cert_data_list

IEEE 11073-20601 Regulatory Certification Data List.

ble_dis_sys_id_t* ble_dis_init_t::p_sys_id

System ID. The helper function dis_sys_id_encode can be used to encode the value of this characteristic.

ble_srv_utf8_str_t ble_dis_init_t::serial_num_str

Serial Number String.

ble_srv_utf8_str_t ble_dis_init_t::sw_rev_str

Software Revision String.